## wlc 0.8

=== requirements.txt ===
pyxdg

## wlc 0.5

=== debian/changelog ===
wlc (0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 11 Jul 2016 11:10:26 +0200

wlc (0.4-1) unstable; urgency=low

  * Initial packaging, Closes: #824258.

 -- Michal Čihař <nijel@debian.org>  Fri, 08 Jul 2016 11:03:46 +0200

=== debian/control ===
Source: wlc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-httpretty,
               python3-xdg,
               python3-six
Standards-Version: 3.9.8
Homepage: https://weblate.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/wlc.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/wlc.git

Package: wlc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-six, python3-xdg
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Provides: python3-wlc
Description: Command line utility for Weblate
 Weblate is web based translation with tight VCS integration supporting wide
 range of file formats and makes it easy for translators to contribute.
 .
 This package provides command line utility to work with Weblate remotely and
 python module.

## wlc 0.7

=== debian/changelog ===
wlc (0.7-2) unstable; urgency=medium

  * Remove not needed dependency on six.
  * Add missing python3-pkg-resources dependency.

 -- Michal Čihař <nijel@debian.org>  Fri, 23 Dec 2016 14:05:07 +0100

wlc (0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Fri, 16 Dec 2016 12:57:57 +0100

wlc (0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 20 Sep 2016 13:45:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
                python3-setuptools,
                python3-pytest,
                python3-httpretty,
-               python3-xdg,
-               python3-six
+               python3-xdg
 Standards-Version: 3.9.8
 Homepage: https://weblate.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/wlc.git
@@ -17,7 +16,7 @@
 
 Package: wlc
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-six, python3-xdg
+Depends: ${misc:Depends}, ${python3:Depends}, python3-xdg, python3-pkg-resources
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Provides: python3-wlc

## wlc 0.8

=== debian/changelog ===
wlc (0.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.0.0.

 -- Michal Čihař <nijel@debian.org>  Mon, 10 Jul 2017 20:19:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pytest,
                python3-httpretty,
                python3-xdg
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://weblate.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/wlc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/wlc.git

## wlc 1.1

=== requirements.txt ===
pyxdg
requests

=== debian/changelog ===
wlc (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.3.0.

 -- Michal Čihař <nijel@debian.org>  Sun, 17 Feb 2019 09:08:24 +0100

wlc (0.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Michal Čihař ]
  * Bump standards to 4.2.1.
  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Oct 2018 08:59:49 +0200

=== debian/control ===
Source: wlc
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-pytest-runner,
               python3-httpretty,
               python3-requests,
               python3-requests-toolbelt,
               python3-xdg
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/wlc
Vcs-Git: https://salsa.debian.org/python-team/modules/wlc.git
Homepage: https://weblate.org/

Package: wlc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-requests,
         python3-xdg,
         python3-pkg-resources
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Provides: python3-wlc
Description: Command line utility for Weblate
 Weblate is web based translation with tight VCS integration supporting wide
 range of file formats and makes it easy for translators to contribute.
 .
 This package provides command line utility to work with Weblate remotely and
 python module.

## wlc 1.2

=== requirements.txt ===
python-dateutil
pyxdg
requests

=== debian/changelog ===
wlc (1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.

  [ Michal Čihař ]
  * New upstream release.
  * Bump standards to 4.5.0.

 -- Michal Čihař <nijel@debian.org>  Sat, 22 Feb 2020 13:15:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
+               python3-dateutil,
                python3-pytest,
                python3-pytest-runner,
                python3-httpretty,
                python3-requests,
                python3-requests-toolbelt,
                python3-xdg
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/wlc
 Vcs-Git: https://salsa.debian.org/python-team/modules/wlc.git
 Homepage: https://weblate.org/
@@ -22,6 +23,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-dateutil,
          python3-requests,
          python3-xdg,
          python3-pkg-resources

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Testsuite fails due to some problems in httpretty
	# or httplib in Debian
	#py.test-3 wlc

=== debian/watch ===
# try also https://pypi.debian.net/wlc/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wlc/wlc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wlc 1.13

=== requirements.txt ===
argcomplete
python-dateutil
pyxdg
requests

=== debian/changelog ===
wlc (1.13-2) unstable; urgency=medium

  * add debian/salsa-ci.yml
  * re-enable tests and add autopkgtest
  * enable upstream's bash-completion

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 27 Feb 2023 09:42:47 +0100

wlc (1.13-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Hans-Christoph Steiner ]
  * New upstream version 1.13

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 04 Feb 2023 20:27:22 +0100

wlc (1.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 22:04:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: wlc
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-bash-completion,
                python3-all,
+               python3-argcomplete,
                python3-setuptools,
                python3-dateutil,
                python3-pytest,
@@ -13,10 +15,11 @@
                python3-httpretty,
                python3-requests,
                python3-requests-toolbelt,
+               python3-responses,
                python3-xdg
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/wlc
-Vcs-Git: https://salsa.debian.org/python-team/modules/wlc.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/wlc
+Vcs-Git: https://salsa.debian.org/python-team/packages/wlc.git
 Homepage: https://weblate.org/
 
 Package: wlc

## wlc 1.14

=== debian/changelog ===
wlc (1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.
  * d/watch: Bump version from 3 to 4, no changes needed.
  * d/control:
    - Change build dependencies indentation.
    - Build-Depend on pybuild-plugin-pyproject.
    - Set field Rules-Requires-Root:no.
    - Bump Standards-Version to 4.7.0, no changes needed.
    - Update Description field with latest upstream information.
  * d/wlc.1:
    - Removed font C since it cannot be selected.
    - Remove upstream specific installation step.
    - Fix typos.
    - Added myself in the copyright section.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 10 May 2024 23:29:16 -0300

## wlc 1.15

=== debian/changelog ===
wlc (1.15-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1111840)
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Drop hardcoded dependency to python3-pkg-resources.
    There is no sign of using it, and it was last added back in 2016.
    Dropping it early in the release cycle so that we can have potential
    issues exposed and solved, if any. (Closes: #1083988)
  * debian/control: Use dh-sequence-python3.
  * debian/control: Use project homepage from GitHub.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Aug 2025 14:11:34 -0400

wlc (1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15

 -- Henrique Pucci <pucci.rique1234@gmail.com>  Sun, 08 Sep 2024 15:06:39 -0300

=== debian/control ===
Source: wlc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 help2man,
 dh-sequence-bash-completion,
 python3-all,
 python3-argcomplete,
 python3-setuptools,
 python3-dateutil,
 python3-pytest,
 python3-pytest-runner,
 python3-httpretty,
 python3-requests,
 python3-requests-toolbelt,
 python3-responses,
 python3-xdg
Vcs-Browser: https://salsa.debian.org/python-team/packages/wlc
Vcs-Git: https://salsa.debian.org/python-team/packages/wlc.git
Homepage: https://github.com/WeblateOrg/wlc
Rules-Requires-Root: no

Package: wlc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-dateutil,
         python3-requests,
         python3-xdg,
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Provides: python3-wlc
Description: Command line utility for Weblate
 Weblate is a web-based continuous localization system. It has full integration
 with Git, translator attribution, handling of several branches, displaying
 context, sane merging of translations and consistency checks.
 .
 This package provides the Weblate Client, which is a Python library and a
 command-line utility that manages Weblate remotely using Weblate’s REST API.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

## wlc 1.16.1

=== debian/changelog ===
wlc (1.16.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.16.1
  * Replace 'py.test-3' compat symlink usage with canonical 'pytest'
  * Drop "Rules-Requires-Root: no": it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 Oct 2025 14:10:14 +0100

=== debian/control ===
Source: wlc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-python3,
 help2man,
 pybuild-plugin-pyproject,
 python3-all,
 python3-argcomplete,
 python3-dateutil,
 python3-httpretty,
 python3-pytest,
 python3-pytest-runner,
 python3-requests,
 python3-requests-toolbelt,
 python3-responses,
 python3-setuptools,
 python3-xdg,
Vcs-Browser: https://salsa.debian.org/python-team/packages/wlc
Vcs-Git: https://salsa.debian.org/python-team/packages/wlc.git
Homepage: https://github.com/WeblateOrg/wlc

Package: wlc
Architecture: all
Depends:
 python3-dateutil,
 python3-requests,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Provides:
 python3-wlc,
Description: Command line utility for Weblate
 Weblate is a web-based continuous localization system. It has full integration
 with Git, translator attribution, handling of several branches, displaying
 context, sane merging of translations and consistency checks.
 .
 This package provides the Weblate Client, which is a Python library and a
 command-line utility that manages Weblate remotely using Weblate’s REST API.

=== debian/tests/control ===
Test-Command: pytest wlc
Depends:
 python3-all,
 python3-pytest,
 python3-responses,
 @,

=== debian/watch ===
# try also https://pypi.debian.net/wlc/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wlc/wlc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
